% This is "sig-alternate.tex" V2.1 April 2013
% This file should be compiled with V2.5 of "sig-alternate.cls" May 2012
%
% This example file demonstrates the use of the 'sig-alternate.cls'
% V2.5 LaTeX2e document class file. It is for those submitting
% articles to ACM Conference Proceedings WHO DO NOT WISH TO
% STRICTLY ADHERE TO THE SIGS (PUBS-BOARD-ENDORSED) STYLE.
% The 'sig-alternate.cls' file will produce a similar-looking,
% albeit, 'tighter' paper resulting in, invariably, fewer pages.
%
% ----------------------------------------------------------------------------------------------------------------
% This .tex file (and associated .cls V2.5) produces:
%       1) The Permission Statement
%       2) The Conference (location) Info information
%       3) The Copyright Line with ACM data
%       4) NO page numbers
%
% as against the acm_proc_article-sp.cls file which
% DOES NOT produce 1) thru' 3) above.
%
% Using 'sig-alternate.cls' you have control, however, from within
% the source .tex file, over both the CopyrightYear
% (defaulted to 200X) and the ACM Copyright Data
% (defaulted to X-XXXXX-XX-X/XX/XX).
% e.g.
% \CopyrightYear{2007} will cause 2007 to appear in the copyright line.
% \crdata{0-12345-67-8/90/12} will cause 0-12345-67-8/90/12 to appear in the copyright line.
%
% ---------------------------------------------------------------------------------------------------------------
% This .tex source is an example which *does* use
% the .bib file (from which the .bbl file % is produced).
% REMEMBER HOWEVER: After having produced the .bbl file,
% and prior to final submission, you *NEED* to 'insert'
% your .bbl file into your source .tex file so as to provide
% ONE 'self-contained' source file.
%
% ================= IF YOU HAVE QUESTIONS =======================
% Questions regarding the SIGS styles, SIGS policies and
% procedures, Conferences etc. should be sent to
% Adrienne Griscti (griscti@acm.org)
%
% Technical questions _only_ to
% Gerald Murray (murray@hq.acm.org)
% ===============================================================
%
% For tracking purposes - this is V2.0 - May 2012

%\documentclass{sig-alternate-05-2015}

% The following \documentclass options may be useful:

% preprint      Remove this option only once the paper is in final form.
% 10pt          To set in 10-point type instead of 9-point.
% 11pt          To set in 11-point type instead of 9-point.
% authoryear    To obtain author/year citation style instead of numeric.

\usepackage{amsmath}
%\usepackage{fancyvrb}


%\usepackage{makeidx}  % allows for indexgeneration
%
%
%\frontmatter          % for the preliminaries
%
%\pagestyle{headings}  % switches on printing of running heads


\hypersetup{colorlinks=true,citecolor=blue,linkcolor=blue,filecolor=blue,urlcolor=blue}

\usepackage{color,xcolor,myxcolor}
\definecolor{grey}{rgb}{0.745,0.745,0.745}


%% NEUTRALISER LA GESTION FONTES/COULEURS DE XFIG ?
\gdef\SetFigFont#1#2#3#4#5#6{#6}


%% DIVERS ...
\usepackage{mathptmx}
\usepackage{helvet}
\usepackage{version}
 \usepackage{ragged2e}

\usepackage{listings}
\usepackage{wrapfig}
%\usepackage{listingsutf8}


\lstset{
%  inputencoding=utf8/latin1,
  captionpos=b,
  xleftmargin=0pt,
  xrightmargin=5pt,
  abovecaptionskip=10pt,
  framexleftmargin=0pt,
  framexrightmargin=5pt,
  framextopmargin=5pt,
  framexbottommargin=0pt,
  escapechar={&,<,>},
  alsoletter={&},
  escapechar={\&},
  alsoletter={\&},
  escapechar={_},
  alsoletter={_},
  basicstyle=\scriptsize\ttfamily,
  keywordstyle=\color{green4},
  keywordstyle=[2]\color{IndianRed3},
  keywordstyle=[3]\color{blue4},
  keywordstyle=[4]\color{DeepPink3},
  backgroundcolor=\color{LightGray},
  rulesepcolor=\color{LightGray},
  stringstyle=\ttfamily\color{red!50!brown},
  identifierstyle=,
  numbers=none,
%  column=fixed,%% XXX keyval package clash 
  commentstyle=\color{DarkGreen}\itshape,
  frame=shadowbox,
  escapeinside={$$},%
  showstringspaces=false,
}
\lstset{}

\lstdefinelanguage{trace}{%
  morekeywords={call,exit,fail,top},
  morekeywords=[2]{sat,try},
  morekeywords=[3]{},
  morekeywords=[4]{usat},
  sensitive=false,
  stringstyle=\color{Orange},
  numberstyle=\color{LightGray},
  commentstyle=\color{DarkGreen},
  morecomment=[s][\color{goldenrod4}]{"}{"},
  morecomment=[s]{[}{]}
 }
\lstdefinelanguage{liosi}{%
  morekeywords={input,output,sock_addr,sock_port},
  morekeywords=[2]{int,bool,real},
}
\lstdefinelanguage{adacstimu}{%
  morekeywords={DEBUT_SCENARIO, FIN_SCENARIO},
  morekeywords=[2]{GEN_MSG, ATTENDRE, CCT},
  morekeywords=[3]{FAUX,VRAI},
  morekeywords=[4]{TOR,ANA,VALUE},
  sensitive=false,
  moredelim=[l][\ttfamily\green]{CC\ },
  morecomment=[l]{CM},
}
\lstdefinelanguage{rif}{%
  morekeywords={inputs, outputs, locals},
  morekeywords=[2]{true,false},
  morekeywords=[3]{},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)}
}
\lstdefinelanguage{lutin}{%
  morekeywords={assert,exist,run,in,let,node,returns,include},
  morekeywords=[2]{pre,and,or,not,if,then,else},%XXX'=>'?
  morekeywords=[3]{exception,raise,try,loop,fby,while,raise,catch,trap,with,do},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
}

\lstdefinelanguage{lustre}{%
  morekeywords={node,returns,assert,var,const,let,tel,in},
  morekeywords=[2]{pre,current,merge,when,step,and,or,if,with,then,else,not},%XXX'=>'?
  morekeywords=[3]{true,false},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s][\color{goldenrod4}]{<<}{>>},
  morecomment=[s]{(*}{*)},
}
\lstdefinelanguage{tuareg}{%
  morekeywords={function,fun,match,with,let,in,val,type,and,;;,'=',rec}, % try
  morekeywords=[2]{if,then,else,ref,not,or,+,raise},%XXX'=>'?
  morekeywords=[3]{option,list,string,unit,bool,int,float,ct,List,Hashtbl,Not\_found,Filename,Sys,Event},
  morekeywords=[4]{rdbg},
  morekeywords=[6]{},
  morestring=[b]",
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
  escapechar={!},
  escapeinside=''
}
\lstdefinelanguage{custom}{%
  morestring=[b]",
  sensitive=false,
  morecomment=[l]{--},
  morestring=[b]",
 escapeinside={(*@}{@*)},
showspaces=false,               % show spaces adding particular underscores
showtabs=false,                 % show tabs within strings adding 
captionpos=b,           % sets the caption-position to bottom
breakatwhitespace=false,    % sets if automatic breaks should only happen
commandchars=\\!|,
}


\lstnewenvironment{rif} {\lstset{language=rif}}  {}
\lstnewenvironment{lutin} {\lstset{language=lutin}}  {}
\lstnewenvironment{lustre} {\lstset{language=lustre}}  {}
\lstnewenvironment{tuareg} {\lstset{language=tuareg}}  {}


\newcommand{\rdbg}[0]{\textsc{rdbg}}
\newcommand{\lurette}[0]{\textsc{Lurette}}
\newcommand{\ocaml}[0]{\textsc{Ocaml}}

\newcommand{\Otawa}[0]{\textsc{Otawa}}
\newcommand{\OWCET}[0]{\textsc{Otawa}}
\newcommand{\Ogensim}[0]{\textsc{Osim}}
\newcommand{\Lustre}[0]{\textsc{Lustre}}
\newcommand{\Lutin}[0]{\textsc{Lutin}}
\newcommand{\Lurette}[0]{\textsc{Lurette}}
\newcommand{\Lesar}[0]{\textsc{Lesar}}

%======================== Commandes spécifiques =========================
%\input{commandes}
\newcommand{\blue}[1]{{\color{DarkBlue}#1}}
\newcommand{\red}[1]{{\color{red}#1}}
\newcommand{\green}[1]{{\color{DarkGreen}#1}}
\newcommand{\purple}[1]{{\color{purple2}#1}}
\newcommand{\decal}{$\hspace*{1cm}$}
\newcommand{\transTT}[1]{\raisebox{6pt}{$\underrightarrow{~~\mbox{\tt #1}~~}$}}
\newcommand{\transMTH}[1]{\raisebox{6pt}{$\underrightarrow{~~\mbox{$#1$}~~}$}}
\newcommand{\hide}[1]{}
\newcommand{\NN}{\mbox{$\mathrm{I}\!\mathrm{N}$}}
\newcommand{\MagentaIII}[1]{{\color{magenta3} #1}}
\newcommand{\GreenIV}[1]{{\color{green4} #1}}
\newcommand{\RedII}[1]{{\color{red2} #1}}
\newcommand{\BlueII}[1]{{\color{blue2} #1}}
\newcommand{\COMM}[1]{\mbox{\blue{// #1}}}
\newcommand{\kw}[1]{\MagentaIII{\tt #1}}
\newcommand{\ty}[1]{\GreenIV{\tt #1}}
\newcommand{\lop}[1]{\BlueII{\tt #1}}
\newcommand{\prog}[1]{\mbox{\tt #1}}
\newcommand{\TR}{\mbox{$\cal T$}}

\newcommand{\miparagraph}[1]{{\smallskip \noindent\bf {#1}}}
\newcommand{\myparagraph}[1]{{\miparagraph {#1}}.}


\usepackage{lastpage}

\usepackage{acronym} 


